jQuery(function($){
    jQuery(document).on('click','.validateURL', function (e) {
        e.preventDefault();
        var ajaxurl = mlts_object.ajax_url;
        var urlInput = jQuery('#data_feed_url');
        urlInput.prop('disabled', true);
        var urlVal = urlInput.val();
        console.log(ajaxurl);
        // remove existing message
        var dataFeedURLP = jQuery('p.dataFeedURL');
        dataFeedURLP.removeClass('success failed').addClass('loading');
        var tabsW = jQuery('.mLTSTabsWrap');
        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,
            cache: false,
            dataType: 'json',
            data: {
                action: 'mwps_validate_data_feed_url',
                url: urlVal,
            },
            success: function(data) {
                console.log(data);
                if (data.success) {
                    dataFeedURLP.removeClass('failed').addClass('success');
                    jQuery('.validateURL').removeClass('validateURL').addClass('changeURL').html('Change URL');
                    tabsW.show(200);
                } else {
                    dataFeedURLP.removeClass('success').addClass('failed');
                    urlInput.prop('disabled', false);
                    tabsW.hide(200);
                }
                urlInput.attr('value', data.url);
            },
            error: function(err) {
                dataFeedURLP.removeClass('success').addClass('failed err');
                urlInput.prop('disabled', false);
                console.log(err);
                if (window.console) {
                    /*console.log('textStatus=' + textStatus);
                    console.log('errorThrown=' + errorThrown);
                    if (jqXHR) {
                        console.log('jqXHR.status=' + jqXHR.status);
                        console.log('jqXHR.responseText=' + jqXHR.responseText);
                    }*/
                }
            },
            complete: function () {
                dataFeedURLP.removeClass('loading');
            }
        });
    });
    jQuery(document).on('click','.changeURL', function (e) {
        e.preventDefault();
        jQuery(this).removeClass('changeURL').addClass('validateURL').html('Validate');
        jQuery('#data_feed_url').prop('disabled', false);
        jQuery('.dataFeedURL').removeClass('success failed');
    });
    jQuery( '.mlts-nav-tab-wrapper a' )
        .on( "click", function() {
    jQuery( '.nav-tab-wrapper a.nav-tab-active' ).removeClass( "nav-tab-active" );
    jQuery( '.mLTSTabsWrap .tab-content' ).hide();

    var tabindex = jQuery(this).addClass( 'nav-tab-active' ).index();

    jQuery( '.mLTSTabsWrap .tab-content:eq(' + tabindex + ')' ).show();

    return false;
    });
    jQuery(document).ready(function($){
        $('.colorPicker').wpColorPicker();

        var $ = jQuery;
        var iconBtn = jQuery('.set_custom_images');
        if (iconBtn.length > 0) {
            if ( typeof wp !== 'undefined' && wp.media && wp.media.editor) {
                iconBtn.on('click', function(e) {
                    e.preventDefault();
                    var button = $(this);
                    var id = button.prev();
                    wp.media.editor.send.attachment = function(props, attachment) {
                        id.val(attachment.id);
                    };
                    wp.media.editor.open(button);
                    return false;
                });
            }
        }
    });
    jQuery(document).on('click', '.iconColWrap .statusIcon', function(e){
        e.preventDefault();

        var button = jQuery(this),
            custom_uploader = wp.media({
                title: 'Insert image',
                library : {
                    // uncomment the next line if you want to attach image to the current post
                    // uploadedTo : wp.media.view.settings.post.id,
                    type : 'image'
                },
                button: {
                    text: 'Use this image' // button label text
                },
                multiple: false // for multiple image selection set to true
            }).on('select', function() { // it also has \"open\" and \"close\" events
                var attachment = custom_uploader.state().get('selection').first().toJSON();
                jQuery(button).addClass('uploaded').removeClass('button').html('<img class=\"true_pre_image\" src=\"' + attachment.url + '\" style=\"max-width:95%;display:block;\" />').next().val(attachment.id).next().show();
                /* if you sen multiple to true, here is some code for getting the image IDs
                var attachments = frame.state().get('selection'),
                    attachment_ids = new Array(),
                    i = 0;
                attachments.each(function(attachment) {
                    attachment_ids[i] = attachment['id'];
                    console.log( attachment );
                    i++;
                });
                */
            })
                .open();
    });

    /*
     * Remove image event
     */
    jQuery(document).on('click', '.mlts_remove_image_button', function(){
        jQuery(this).hide().prev().val('').prev().removeClass('uploaded').html('');
        return false;
    });
});